Bug 10279 - focus jumps on slow windows
focus jumps on slow windows
Product: Red Hat Linux
Classification: Retired
Component: enlightenment (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Mason
Depends On:
  Show dependency treegraph
Reported: 2000-03-21 00:50 EST by Joe Harrington
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-05-08 10:22:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joe Harrington 2000-03-21 00:50:19 EST
I have 2 RH 6.1+updates boxes.  I have all the updates.  There is a
PPP phone line and some regional network between them.  I pop up an
emacs on the one from the other, and a local netscape beside it.  I
have enlightenmnet set to follow pointer focus.  The remote emacs has
a slight delay responding to my keystrokes because of the packet
roundtrip time.  If I move the mouse out of emacs and into netscape
and emacs is still processing X events, focus can jump back to the
emacs up to one whole second after the mouse moves from emacs to
netscape, even though the pointer is still in netscape.  I don't have
to do much to make this happen.  For example, if I get a cookie that
overlaps the emacs window and I go to click "cancel", the cookie
window goes away and exposes emacs.  Without typing, I immediately
move my mouse out of the emacs and back to netscape.  Focus goes to
netscape and I start doing things, and then focus jumps back to emacs.
It is 100% reproducible.

A similar thing happens within a single application, saoimage (there's
an rpm at rpmfind.net) that has several sub-windows in its single
application window.  Start it with a private colormap, move the mouse
around, and pretty soon the colormap will get out of sync with the
mouse location, and you'll get the application colormap all the time
*except* when the mouse is in the main image window.

Comment 1 David Mason 2000-08-10 14:31:37 EDT
There is a new version of Enlightenment in Rawhide - plus we have switched to
sawfish wm as the default.

Note You need to log in before you can comment on or make changes to this bug.